> For the complete documentation index, see [llms.txt](https://docs.veza.com/4yItIzMvkpAvMVFAamTf/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.veza.com/4yItIzMvkpAvMVFAamTf/developers/api/management.md).

# Integration APIs

Programmatic configuration of providers and data sources

The Veza management APIs enable internal tooling to automate administration of cloud providers and data sources. These APIs provide both unified and provider-specific endpoints to manage integrations:

* [**Provider Management API**](/4yItIzMvkpAvMVFAamTf/developers/api/management/provider-management.md): Unified endpoints for managing all provider types through a single interface
* [**Provider-Specific APIs**](/4yItIzMvkpAvMVFAamTf/developers/api/management/providers.md): Specialized endpoints for individual provider types with extended configuration options
* [**Data Sources API**](/4yItIzMvkpAvMVFAamTf/developers/api/management/datasources.md): Management of individual data sources within providers

Each supported provider can be managed through either the unified Provider Management API or provider-specific endpoints, depending on your needs.

#### Notes

* A data plane ID is required when adding a custom provider.
  * This value refers to the [Insight Point](/4yItIzMvkpAvMVFAamTf/integrations/connectivity/insight-point.md) used for discovery, or the GUID of the built-in data plane.
  * To get all available IDs, navigate to **Administration** > *Insight Point*.
  * Unless you have deployed an Insight Point within your environment, the only entry will be for the internal data plane.
* If a request is unsuccessful, an error message will provide additional details and troubleshooting steps.

### Authentication

You can issue new API keys from **Administration** > **API Keys** > [*Add New API Key*](/4yItIzMvkpAvMVFAamTf/developers/api/authentication.md)*.* Provide the key as the bearer auth token in the header of each request.

Users must have the [`admin`](/4yItIzMvkpAvMVFAamTf/administration/administration/users.md) role to add/modify provider configurations. Configurations can be viewed by users with the `operator` role.

### Sample Integrations and Tools

{% hint style="info" %}
Please contact your support team for private repository access.
{% endhint %}

***Register Accounts*** - Use the management API to add multiple AWS accounts from CSV.

***Veza Python Client*** - Simple Python class for making REST API calls to Veza.

***Cloud Formation Stacks*** - Configure multiple AWS accounts for Veza discovery by enabling the required assume role operations and IAM permissions.

### Open Authorization APIs

If your organization uses applications, data sources, or identity providers not natively supported by Veza, you may be able to add them to your data catalog using [Open Authorization APIs](/4yItIzMvkpAvMVFAamTf/developers/api/oaa.md). You will need to query the provider to retrieve entity and permissions metadata and push the payload to Veza for parsing in a template format.

Endpoints for administering custom resources (`/providers/custom/*`) are described in [OAA Push API](/4yItIzMvkpAvMVFAamTf/developers/api/oaa/rest-api.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.veza.com/4yItIzMvkpAvMVFAamTf/developers/api/management.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
